#include <iostream>
#include <algorithm>
#include <string>

#include <boost/graph/adjacency_list.hpp>

using namespace std;
using namespace boost;

typedef adjacency_list<vecS, vecS, directedS, string> graph_type;

int main()
{
	string nodes[] = {"1", "2", "3", "4", "5"};
	const size_t n(sizeof nodes/sizeof (*nodes));
	graph_type g(n);
	for(size_t i = 0; i < n; ++i)
		g[i] = nodes[i];
	typedef graph_type::vertex_iterator iterator;
	iterator begin, end;
	tie(begin, end) = vertices(g);
	iterator pos = find(begin, end, "3");
	return 0;
}
